### Method

# Gcr Parser parse_stream

#### Declaration [src]

    gboolean
    gcr_parser_parse_stream (
      GcrParser* self,
      GInputStream* input,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Parse items from the data in a `GInputStream`. This function may block while reading from the input stream. Use `gcr_parser_parse_stream_async()` for a non-blocking variant.

The `GcrParser::parsed` and `GcrParser::authenticate` signals may fire during the parsing.

#### Parameters

`input` | `GInputStream`
| The input stream.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| An optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the parsing completed successfully or not.